GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "41e4a7be-169f-4bac-ad18-c553af90e85c",
"cleanroom_type_id": "900569b9-d28a-4896-9da5-7625d08b80f6",
"code": 3,
"date_hu": "2026-06-09T05:24:37.6405802+00:00",
"id": "10db2e69-994f-4468-bb10-adfaab788f49",
"site_id": "f0a1015f-fbe6-46bc-8e35-b101f0faa788",
"wash_count": 6,
"position": 1,
"pc_id": "4db7a313-d7b7-4e3a-963c-cee81c01d9b0"
},
{
"active": true,
"bag_status_id": "41e4a7be-169f-4bac-ad18-c553af90e85c",
"cleanroom_type_id": "900569b9-d28a-4896-9da5-7625d08b80f6",
"code": 3,
"date_hu": "2026-06-09T05:24:37.6405802+00:00",
"id": "10db2e69-994f-4468-bb10-adfaab788f49",
"site_id": "f0a1015f-fbe6-46bc-8e35-b101f0faa788",
"wash_count": 6,
"position": 1,
"pc_id": "4db7a313-d7b7-4e3a-963c-cee81c01d9b0"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>41e4a7be-169f-4bac-ad18-c553af90e85c</bag_status_id>
<cleanroom_type_id>900569b9-d28a-4896-9da5-7625d08b80f6</cleanroom_type_id>
<code>3</code>
<date_hu>2026-06-09T05:24:37.6405802+00:00</date_hu>
<id>10db2e69-994f-4468-bb10-adfaab788f49</id>
<pc_id>4db7a313-d7b7-4e3a-963c-cee81c01d9b0</pc_id>
<position>1</position>
<site_id>f0a1015f-fbe6-46bc-8e35-b101f0faa788</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>41e4a7be-169f-4bac-ad18-c553af90e85c</bag_status_id>
<cleanroom_type_id>900569b9-d28a-4896-9da5-7625d08b80f6</cleanroom_type_id>
<code>3</code>
<date_hu>2026-06-09T05:24:37.6405802+00:00</date_hu>
<id>10db2e69-994f-4468-bb10-adfaab788f49</id>
<pc_id>4db7a313-d7b7-4e3a-963c-cee81c01d9b0</pc_id>
<position>1</position>
<site_id>f0a1015f-fbe6-46bc-8e35-b101f0faa788</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>